## spark-core 2.4.0+cdh6.3.0

=== dev/requirements.txt ===
jira==1.0.3
PyGithub==1.26.0
Unidecode==0.04.19
pypandoc==1.3.3
sphinx

=== R/pkg/DESCRIPTION ===
Package: SparkR
Type: Package
Version: 2.4.0
Title: R Frontend for Apache Spark
Description: Provides an R Frontend for Apache Spark.
Authors@R: c(person("Shivaram", "Venkataraman", role = c("aut", "cre"),
                    email = "shivaram@cs.berkeley.edu"),
             person("Xiangrui", "Meng", role = "aut",
                    email = "meng@databricks.com"),
             person("Felix", "Cheung", role = "aut",
                    email = "felixcheung@apache.org"),
             person(family = "The Apache Software Foundation", role = c("aut", "cph")))
License: Apache License (== 2.0)
URL: http://www.apache.org/ http://spark.apache.org/
BugReports: http://spark.apache.org/contributing.html
SystemRequirements: Java (== 8)
Depends:
    R (>= 3.0),
    methods
Suggests:
    knitr,
    rmarkdown,
    testthat,
    e1071,
    survival
Collate:
    'schema.R'
    'generics.R'
    'jobj.R'
    'column.R'
    'group.R'
    'RDD.R'
    'pairRDD.R'
    'DataFrame.R'
    'SQLContext.R'
    'WindowSpec.R'
    'backend.R'
    'broadcast.R'
    'catalog.R'
    'client.R'
    'context.R'
    'deserialize.R'
    'functions.R'
    'install.R'
    'jvm.R'
    'mllib_classification.R'
    'mllib_clustering.R'
    'mllib_fpm.R'
    'mllib_recommendation.R'
    'mllib_regression.R'
    'mllib_stat.R'
    'mllib_tree.R'
    'mllib_utils.R'
    'serialize.R'
    'sparkR.R'
    'stats.R'
    'streaming.R'
    'types.R'
    'utils.R'
    'window.R'
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: no

=== debian/changelog ===
spark-core (2.4.0+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Sun, 25 Aug 2019 13:52:14 +0200

spark-core (2.4.0+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 10:41:51 -0700

=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: spark-core
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 6), curl, pigz
Standards-Version: 3.8.0
Homepage: http://spark.incubator.apache.org/

Package: spark-core
Architecture: all
Depends: bigtop-utils (>= 0.7), hadoop-client, parquet, flume-ng, hive
Description: Lightning-Fast Cluster Computing
 Spark is a MapReduce-like cluster computing framework designed to support
 low-latency iterative jobs and interactive use from an interpreter. It is
 written in Scala, a high-level language for the JVM, and exposes a clean 
 language-integrated syntax that makes it easy to write parallel jobs. 
 Spark runs on top of the Apache Mesos cluster manager.

Package: spark-python
Architecture: all
Depends: spark-core (= ${source:Version}), python
Description: Python client for Spark
 Includes PySpark, an interactive Python shell for Spark, and related libraries

Package: spark-history-server
Architecture: all
Depends: spark-core (= ${source:Version})
Description: History server for Spark
 History server for Spark

=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=2c75969d66b3b8db929e516faa3c20829c14a673
 SPARK_VERSION=2.4.0+cdh6.3.0
 SPARK_PATCHED_VERSION=2.4.0-cdh6.3.0
 SPARK_BASE_VERSION=2.4.0
 SPARK_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=2.4.0+cdh6.3.0-1279813.bionic

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	# we'll just use the build from the tarball.
	env FULL_VERSION=${SPARK_PATCHED_VERSION} bash debian/do-component-build -Divy.home=${HOME}/.ivy2

svcs=spark-history-server

$(svcs): debian/init.d.tmpl
	bash $< debian/$@.svc deb debian/$@.init
	touch $@

override_dh_auto_install: $(svcs)
	bash -x debian/install_spark.sh \
	  --build-dir=`pwd` \
	  --doc-dir=/usr/share/doc/spark \
	  --source-dir=debian \
	  --prefix=debian/tmp

	bash debian/generate_install_file.sh \
	  --install-file-name=spark-core.install \
	  --path-to-scan=debian/tmp/usr/lib/spark/ \
	  --exclude-files="spark-python.install" \
	  --include-file=spark-core.install.include \
	  --prefix=debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
